Agents
Paginated TLS handshake events for monitoring table
Path Parameters
organizationId*string
Format
uuidQuery Parameters
page?integer
Range
0 <= valuepageSize?integer
Range
1 <= valuetimeRange?string
Value in
- "1h"
- "24h"
- "7d"
- "30d"
- "90d"
applicationId?string
agentId?string
Format
uuidvalidationResult?string
q?string
sortBy?string
Value in
- "observedAt"
- "agent"
- "target"
- "cipher"
- "chainValid"
- "validationResult"
sortDirection?string
Value in
- "asc"
- "desc"
Header Parameters
x-organization-role*string
Portal impersonation role (pair with x-organization-id)
Value in
- "ORG_ADMIN"
- "ORG_MEMBER"
x-organization-id*string
Must match the organizationId path segment
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/certiwise/monitoring/handshakes" \ -H "x-organization-role: ORG_ADMIN" \ -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2", "agentName": "string", "observedAt": "2019-08-24T14:15:22Z", "serverName": "string", "peerAddress": "string", "cipherSuite": "string", "validationResult": "string", "chainValid": true } ], "total": 0, "page": 0, "pageSize": 0}{ "message": "string"}{ "message": "string"}